summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sbin/disklabel/Makefile4
-rw-r--r--sbin/fdisk/Makefile5
-rw-r--r--sbin/iopctl/Makefile4
-rw-r--r--sbin/kbd/Makefile4
-rw-r--r--sbin/wsconsctl/Makefile7
5 files changed, 13 insertions, 11 deletions
diff --git a/sbin/disklabel/Makefile b/sbin/disklabel/Makefile
index a0ae5a064ac..1df7600f789 100644
--- a/sbin/disklabel/Makefile
+++ b/sbin/disklabel/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.29 2002/08/08 00:35:50 mickey Exp $
+# $OpenBSD: Makefile,v 1.30 2003/10/31 04:05:29 drahn Exp $
PROG= disklabel
SRCS= disklabel.c dkcksum.c editor.c manual.c
@@ -50,7 +50,7 @@ CFLAGS+= -DSEEALSO="\"installboot(8)\"" -DCYLCHECK -DAAT0
CFLAGS+= -DSEEALSO="\"installboot(8)\""
.endif
-.if (${MACHINE} == "macppc")
+.if (${MACHINE} == "macppc") || (${MACHINE} == "pegasos")
CFLAGS+= -DDOSLABEL
CFLAGS+= -DSEEALSO="\"fdisk(8)\""
.endif
diff --git a/sbin/fdisk/Makefile b/sbin/fdisk/Makefile
index a02206cbf77..43c54035034 100644
--- a/sbin/fdisk/Makefile
+++ b/sbin/fdisk/Makefile
@@ -1,5 +1,5 @@
#
-# $OpenBSD: Makefile,v 1.21 2003/06/03 01:13:19 weingart Exp $
+# $OpenBSD: Makefile,v 1.22 2003/10/31 04:05:29 drahn Exp $
#
# Copyright (c) 1997 Tobias Weingartner
# All rights reserved.
@@ -25,7 +25,8 @@
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
-.if ${MACHINE} == "i386" || ${MACHINE} == "macppc" || ${MACHINE} == "alpha"
+.if ${MACHINE} == "i386" || ${MACHINE} == "macppc" || ${MACHINE} == "alpha" \
+|| ${MACHINE} == "pegasos"
PROG= fdisk
SRCS= fdisk.c user.c misc.c disk.c mbr.c part.c cmd.c manual.c
DPADD= ${LIBUTIL}
diff --git a/sbin/iopctl/Makefile b/sbin/iopctl/Makefile
index 6787ad18a6a..3b97a0b97ac 100644
--- a/sbin/iopctl/Makefile
+++ b/sbin/iopctl/Makefile
@@ -1,7 +1,7 @@
-# $OpenBSD: Makefile,v 1.3 2001/09/01 16:21:16 drahn Exp $
+# $OpenBSD: Makefile,v 1.4 2003/10/31 04:05:29 drahn Exp $
.if (${MACHINE} == "i386") || (${MACHINE} == "macppc") || \
- (${MACHINE} == "alpha")
+ (${MACHINE} == "alpha") || (${MACHINE} == "pegasos")
PROG= iopctl
.else
NOPROG=
diff --git a/sbin/kbd/Makefile b/sbin/kbd/Makefile
index b806faecf11..688fedd7f6b 100644
--- a/sbin/kbd/Makefile
+++ b/sbin/kbd/Makefile
@@ -1,9 +1,9 @@
-# $OpenBSD: Makefile,v 1.16 2002/11/23 23:52:21 miod Exp $
+# $OpenBSD: Makefile,v 1.17 2003/10/31 04:05:29 drahn Exp $
.if (${MACHINE} == "alpha") || (${MACHINE} == "hppa") || \
(${MACHINE} == "i386") || (${MACHINE} == "macppc") || \
(${MACHINE} == "sparc") || (${MACHINE} == "sparc64") || \
- (${MACHINE} == "vax")
+ (${MACHINE} == "vax") || (${MACHINE} == "pegasos")
PROG= kbd
SRCS= main.c kbd_wscons.c
diff --git a/sbin/wsconsctl/Makefile b/sbin/wsconsctl/Makefile
index b8266878bf9..8a8e7e7ed0c 100644
--- a/sbin/wsconsctl/Makefile
+++ b/sbin/wsconsctl/Makefile
@@ -1,7 +1,8 @@
-# $OpenBSD: Makefile,v 1.11 2002/08/12 10:47:06 miod Exp $
+# $OpenBSD: Makefile,v 1.12 2003/10/31 04:05:29 drahn Exp $
.if ${MACHINE} == "i386" || ${MACHINE} == "alpha" || ${MACHINE} == "hppa" || \
- ${MACHINE} == "macppc" || ${MACHINE} == "sparc" || ${MACHINE} == "sparc64"
+ ${MACHINE} == "macppc" || ${MACHINE} == "sparc" || \
+ ${MACHINE} == "sparc64" || ${MACHINE} == "pegasos"
PROG= wsconsctl
SRCS= display.c keyboard.c keysym.c map_parse.y map_scan.l \
@@ -22,6 +23,6 @@ NOPROG=yes
.endif
MAN= wsconsctl.8
-MANSUBDIR= alpha hppa i386 macppc sparc sparc64
+MANSUBDIR= alpha hppa i386 macppc sparc sparc64 pegasos
.include <bsd.prog.mk>